## org.codehaus.groovy.control
Class GenericsVisitor

    java.lang.Object
      org.codehaus.groovy.ast.CodeVisitorSupport
          org.codehaus.groovy.ast.ClassCodeVisitorSupport
              org.codehaus.groovy.control.GenericsVisitor

All Implemented Interfaces:
  GroovyClassVisitor, GroovyCodeVisitor

    public class GenericsVisitor

extends ClassCodeVisitorSupport

class used to verify correct usage of generics in class header (class and superclass declaration)

Author:
  Jochen Theodorou

Constructor Summary
`GenericsVisitor(SourceUnit source)`

Method Summary
`protected SourceUnit` `getSourceUnit()`
`void` `visitClass(ClassNode node)`
`void` `visitField(FieldNode node)`
`void` `visitMethod(MethodNode node)`

Methods inherited from class org.codehaus.groovy.ast.ClassCodeVisitorSupport

`addError, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDoWhileLoop, visitExpressionStatement, visitForLoop, visitIfElse, visitImports, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitVariableExpression, visitWhileLoop`

Methods inherited from class org.codehaus.groovy.ast.CodeVisitorSupport

`visitArgumentlistExpression, visitArrayExpression, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBooleanExpression, visitBytecodeExpression, visitCastExpression, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitDeclarationExpression, visitEmptyStatement, visitFieldExpression, visitGStringExpression, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitRegexExpression, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitTernaryExpression, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericsVisitor

    public GenericsVisitor(SourceUnit source)

Method Detail

### getSourceUnit

    protected SourceUnit getSourceUnit()

  Specified by:
    `getSourceUnit` in class `ClassCodeVisitorSupport`

### visitClass

    public void visitClass(ClassNode node)

  Specified by:
    `visitClass` in interface `GroovyClassVisitor`
  Overrides:
    `visitClass` in class `ClassCodeVisitorSupport`

### visitField

    public void visitField(FieldNode node)

  Specified by:
    `visitField` in interface `GroovyClassVisitor`
  Overrides:
    `visitField` in class `ClassCodeVisitorSupport`

### visitMethod

    public void visitMethod(MethodNode node)

  Specified by:
    `visitMethod` in interface `GroovyClassVisitor`
  Overrides:
    `visitMethod` in class `ClassCodeVisitorSupport`

Copyright © 2003-2009 The Codehaus. All rights reserved.